--TEST--
helpers #36 - String literal parameters
--DESCRIPTION--
String literal parameters - it works with ' marks
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = 'Message: {{{hello "Alan\'s world"}}}';
$context = array();
$helpers = new DefaultRegistry(array(
        'hello' => function($param) { return "Hello " . $param; }/*function (param) { return 'Hello ' + param; }*/,
        'world' => function() { return "world!"; }/*function () { return 'world!'; }*/,
        'testHelper' => function() { return 'found it!'; }/*function () { return 'found it!'; }*/,
        'test_helper' => array(
            'php' => 'function() { return \'found it!\'; }',
        ),
    ));
$options = array();
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
Message: Hello Alan's world